Jump to: navigation, search

SIP Endpoint for .NET Deployment Information

Introduction

For the 8.x release, the SIP Endpoint SDK allows you to develop applications by using .NET technology.

To assist you with development, the SIP Endpoint SDK is packaged with a SIP Endpoint SDK API Reference that allows you to find reference information, coding recommendations, and code snippets in a single location.

For your convenience, the SIP Endpoint SDK also includes a Visual Studio Starter Kit that contains a project template and code snippets. This Starter Kit can help you get up and running during early application development.

Finally, every Genesys product also includes a Release Note that provides any late-breaking product information that could not be included in the manual. This product information can often be important. To view it, open the read_me.html file in the application home directory, where you will find a link to the latest Release Note for this product.

What You Should Know

This guide is written for software developers and application architects that have an understanding of the Genesys platform and the basics of SIP telephony before using this SDK. Before working with the SIP Endpoint SDK, you should know how to use the logging functionality of the Platform SDK.

In addition, the following document can be useful in understanding the Genesys SIP server environment:

  • Framework 8.0 SIP Server Deployment Guide

Environment Prerequisites

Supported Operating Systems

  • Windows 8 32 bit
  • Windows 2008 Server (32 and 64 bit)
  • Windows 7 64 bit
  • Windows XP 32 bit

Other Prerequisites

To work with the SIP Endpoint SDK, you must ensure that your system meets the software requirements established in the Genesys Supported Operating Environment Reference Manual, as well as meeting the following minimum software requirements:

  • Genesys SIP Server 7.6.x, 8.0.2, or higher
  • Genesys Voice Platform (GVP) 8.0 or higher is required for video conference support, which makes use of the GVP Resource Manager and Media Control Platform
  • Microsoft .NET Framework version 3.5 Service Pack 1 or higher
  • Microsoft Visual Studio® .NET 2008 or higher
  • Microsoft Win32 ® API


Important.png Important Note: The computers that will run your application must have the Microsoft Visual C++ 2008 SP1 Redistributable Package (x86). To download this package, do one of the following things:

Related Resources

This page was last modified on January 29, 2014, at 18:58.

Feedback

Comment on this article:

blog comments powered by Disqus